#ifndef __WelHwCom_DLL_h__
#define __WelHwCom_DLL_h__

//	߂liG[ԍj
#define	WELHWCOM_NORMAL_END		0

#define WELHWCOM_ERR_NOTOPEN	(-1)
#define	WELHWCOM_ERR_FILE		(-2)
#define	WELHWCOM_ERR_TIMEOUT	(-3)
#define	WELHWCOM_ERR_CANCEL		(-4)
#define	WELHWCOM_ERR_PARAMETER	(-5)
#define	WELHWCOM_ERR_COM		(-6)
#define	WELHWCOM_ERR_FULL		(-7)
#define	WELHWCOM_ERR_IMGRCV		(-8)
#define	WELHWCOM_ERR_OTHER		(-99)

//	C[Wf[^M
#define	WELHWCOM_IMG_NOTEXECUTE	0
#define	WELHWCOM_IMG_RECEIVING	1
#define	WELHWCOM_IMG_BUFFCLEAR	2

//	|[gݒ
#define	WELHWCOM_BAUD_300		0
#define	WELHWCOM_BAUD_600		1
#define	WELHWCOM_BAUD_1200		2
#define	WELHWCOM_BAUD_2400		3
#define	WELHWCOM_BAUD_4800		4
#define	WELHWCOM_BAUD_9600		5
#define	WELHWCOM_BAUD_19200		6
#define	WELHWCOM_BAUD_38400		7
#define	WELHWCOM_BAUD_57600		8
#define	WELHWCOM_BAUD_115200	9

#define	WELHWCOM_PARITY_NONE	0
#define	WELHWCOM_PARITY_EVEN	1
#define	WELHWCOM_PARITY_ODD		2

#define	WELHWCOM_STOPBIT_1		0
#define	WELHWCOM_STOPBIT_2		1

#define	WELHWCOM_DATABIT_7		0
#define	WELHWCOM_DATABIT_8		1

#define WELHWCOM_FLOW_NONE		0
#define WELHWCOM_FLOW_XONXOFF	1
#define WELHWCOM_FLOW_RTSCTS	2

//	C[WMvgR
#define	WELHWCOM_PROTOCOL_2P	2

//-------------------------------------------------------------------
#ifdef __WelHwCom_DLL__
#define DllExport __declspec( dllexport )
#else
#define DllExport __declspec( dllimport )
#endif

#ifdef __cplusplus
extern "C" {		//	C++̂߂̒`
#endif

DllExport long WINAPI	WelHwCom_PortOpen( long Port, long Baud, long DataBit, long StopBit, long Parity, long FlowCtrl ) ;
DllExport long WINAPI	WelHwCom_PortClose ( long ComId ) ;

DllExport long WINAPI	WelHwCom_RecvStart ( long ComId, HWND Wnd, long MsgNo ) ;
DllExport void WINAPI	WelHwCom_RecvStop ( long ComId ) ;

DllExport long WINAPI	WelHwCom_RecvChk( long ComId ) ;

DllExport long WINAPI	WelHwCom_ResponseRecv( long ComId, unsigned char *RcvBuffer, long BufSize ) ;
DllExport long WINAPI	WelHwCom_DataRecv( long ComId, unsigned char *RcvBuffer, long BufSize, unsigned char *PreFix, unsigned char *PostFix ) ;
DllExport long WINAPI	WelHwCom_ImageRecv( long ComId, unsigned char *Filename, unsigned char *RcvBuffer, long BufSize, long Protocol ) ;
DllExport long WINAPI	WelHwCom_DataSend( long ComId, unsigned char *WriteData, long WriteCnt) ;
DllExport long WINAPI	WelHwCom_CmndSend( long ComId, unsigned char *Cmnd, long SendCnt ) ;

DllExport void WINAPI	WelHwCom_TimeoutSet( long ComId, long Wait, long Interval ) ;
DllExport void WINAPI	WelHwCom_ComCancel( long ComId ) ;
DllExport void WINAPI	WelHwCom_ComClear( long ComId ) ;
DllExport long WINAPI	WelHwCom_ImageProgress( long ComId, long *ImgSize, long *ImgRecv ) ;

#ifdef  __cplusplus
}		//	C++̂߂̒`
#endif

#endif

